import React, { useContext } from "react";
import classnames from "classnames";
import ConfigProviderContext from "../config-provider/ConfigProviderContext";
const ButtonGroup = ({
  className,
  style,
  children
}) => {
  const {
    prefixCls,
    createNamespace
  } = useContext(ConfigProviderContext);
  const [bem] = createNamespace("button-group", prefixCls);
  return /* @__PURE__ */ React.createElement("div", {
    style,
    className: classnames(className, bem())
  }, children);
};
var stdin_default = ButtonGroup;
export {
  ButtonGroup,
  stdin_default as default
};
